;; Theme file, written on Sun, May 13, 2001.
;; Created manually, not by sawfish-themer.
;;	Maria

(require 'make-theme)

(let
    ((patterns-alist
      '(("Knob"
         (inactive
          "knob-up.png")
         (focused
          "knob-up.png")
         (clicked
          "knob-dn.png"))
        ("VerticalBar"
         (inactive
          "vbar-inact.png")
         (focused
          "vbar.png"))
        ("HorizontalBar"
         (inactive
          "hbar-inact.png")
         (focused
          "hbar.png"))
        ("TopLeft"
         (inactive
          "tl-inact.png"
          (border
           4
           4
           0
           0))
         (focused
          "tl.png"
          (border
           1
           1
           1
           1)))
;was 4 4 0 0
        ("Title"
         (inactive
          "title-inact.png"
          (border
           0
           4
           0
           0))
         (focused
          "title.png"
          (border
; was: 0 4 0 0
           0
           4
           0
           4)))
        ("Close"
         (inactive
          "close-inact.png")
         (focused
          "close-foc.png")
         (clicked
          "close-cli.png")
         (inactive-clicked
          "close-inact-cli.png"))
        ("Minimize"
         (inactive
          "min-inact.png")
         (focused
          "min-foc.png")
         (clicked
          "min-cli.png")
         (inactive-clicked
          "min-inact-cli.png"))
        ("Decoration"
; actually it's maximize-button!!!
         (inactive
          "decor-inact.png")
         (focused
          "decor-foc.png")
         (clicked
          "decor-cli.png")
         (inactive-clicked
          "decor-inact-cli.png"))
;        ("Shade2"
;         (inactive
;          "unsel:shade2-up.png")
;         (focused
;          "shade2-up.png")
;         (highlighted
;          "shade2-up.png")
;         (clicked
;          "shade2-dn.png")
;         (inactive-clicked
;          "unsel:shade2-dn.png"))
        ("br-shade"
         (inactive
          "br-shaded-inact.png")
         (focused
          "br-shaded.png"))))

     (frames-alist
      '(("Default"
; regular
         ((top-edge . -10)
          (right-edge . -6)
          (class . top-right-corner))
         ((background . "VerticalBar")
          (top-edge . -2)
          (right-edge . -4)
          (bottom-edge . 2)
          (class . right-border))
         ((right-edge . -6)
          (bottom-edge . -4)
          (background . "Knob")
          (class . bottom-right-corner))
         ((bottom-edge . -4)
          (left-edge . -6)
          (background . "Knob")
          (class . bottom-left-corner))
         ((left-edge . -4)
          (bottom-edge . 2)
          (top-edge . 2)
          (background . "VerticalBar")
          (class . left-border))
         ((right-edge . 2)
          (left-edge . 2)
          (bottom-edge . -2)
          (background . "HorizontalBar")
          (class . bottom-border))
         ((width . 0)
; was 50 - last change
; not the best way to get rid of this, but I don't know any better
          (left-edge . -1)
          (top-edge . -12)
          (background . "TopLeft"))
         ((right-edge . -3)
          (font . "-macromedia-bazaronite-medium-r-normal-*-*-90-*-*-p-*-ascii-0")
; not cyrillic
          (top-edge . -6)
; was 12
          (left-edge . 10)
; was 42
          (y-justify . 1)
          (x-justify . 5)
          (text . window-name)
          (background . "Title")
          (class . title))
         ((width . 13)
; was 13
          (right-edge . 2)
          (top-edge . -18)
; was -8
          (class . top-border))
         ((top-edge . -6)
; was -9
          (left-edge . -1)
; was -4
          (background . "Close")
          (class . close-button))
         ((top-edge . -6)
; was -9
          (left-edge . 12)
; was 8
          (background . "Minimize")
          (class . iconify-button))
         ((left-edge . 30)
; was 20
          (top-edge . -4)
;was -9
          (background . "Decoration")
; or better say Max button, but I feel lazy to rename the files
          (class . maximize-button)) 
)
        ("Unframed")
        ("Shaped"
         ((top-edge . -10)
          (right-edge . -6)
; was -6
          (class . top-right-corner))
         ((right-edge . -3)
          (left-edge . 1)
; was 40
          (top-edge . -1)
          (background . "HorizontalBar")
          (class . bottom-border))
         ((width . 0)
; was 40
          (left-edge . -18)
; was 8
          (top-edge . -12)
          (background . "TopLeft"))
         ((right-edge . -6)
; was -6
          (font . "-macromedia-bazaronite-medium-r-normal-*-*-90-*-*-p-*-ascii-0")
          (top-edge . -4)
; was -12
          (left-edge . 22)
; was 42
          (y-justify . 1)
          (x-justify . 5)
          (text . window-name)
          (background . "Title")
          (class . title))
         ((width . 0)
; was 13
          (right-edge . 2)
          (top-edge . -8)
          (class . top-border))
         ((top-edge . -6)
          (left-edge . -4)
          (background . "Close")
          (class . close-button))
         ((top-edge . -6)
          (left-edge . 8)
          (background . "Minimize")
          (class . iconify-button))
         ((left-edge . 20)
          (top-edge . -4)
          (background . "Decoration")
          (class . maximize-button))
;         ((left-edge . 32)
;          (top-edge . -6)
;          (class . shade-button)
;          (background . "Shade2"))
; there was 4 buttons, I reduced them to 2
         ((right-edge . 200)
; was -5
          (top-edge . -1)
          (background . "br-shade")
          (class . bottom-right-corner)))))

     (mapping-alist
      '((default . "Default")
        (transient . "Default")
        (shaped . "Shaped")
        (shaped-transient . "Default")
        (unframed . "Unframed")))

     (theme-name 'HackerPurpleS))

  (add-frame-style
   theme-name (make-theme patterns-alist frames-alist mapping-alist))
  (when (boundp 'mark-frame-style-editable)
    (mark-frame-style-editable theme-name)))
